
(function() {
	mui.plusReady(function() {
		//读取本地存储，检查是否为首次启动
		var showGuide = plus.storage.getItem("lauchFlag");
		//仅支持竖屏显示
		plus.screen.lockOrientation("portrait-primary");
		if (showGuide) {
			//有值，说明已经显示过了，无需显示；
			//关闭splash页面；
			plus.navigator.closeSplashscreen();
			plus.navigator.setFullscreen(false);
		} else {
			//显示服务协议弹窗页面
			mui.openWindow({
				id: 'guide',
				url: '_www/htm/guide.html',
				styles: {
					width: "80%",
					height: "400px",
					margin: "auto",
					bottom: "120px",
					background: "rgba(0, 0, 0, 0.5)",
					popGesture: "none", //侧滑关闭功能
					statusbar: {
						background: 'rgba(0, 0, 0, 0.5)',
					},
				},
				show: {
					aniShow: 'slide-in-bottom'
					//aniShow: 'none'
				},
				waiting: {
					autoShow: false
				}
			});
			//延迟的原因：优先打开服务协议弹窗页面，避免资源争夺
			setTimeout(function() {
				//预加载
				preload();
			}, 200);
		}
	});
})();
