/*选择游戏列表*/
(function($, doc) {
	$.init();
	$.ready(function() {
		var _getParam = function(obj, param) {
			return obj[param] || '';
		};
		/*选择游戏games*/
		var userPicker = new $.PopPicker({
			layer: 1 /*展示1列选项*/
		});
		userPicker.setData(games);
		var showUserPickerButton = doc.getElementById('showUserPicker');
		var userResult = doc.getElementById('userResult');
		showUserPickerButton.addEventListener('tap', function(event) {
			userPicker.show(function(items) {
				userResult.innerText = items[0].text;
			});
		}, false);
		/*选择大区games*/
		var userPicker2 = new $.PopPicker({
			layer: 2 /*展示2列选项*/
		});
		userPicker2.setData(games);
		var showUserPickerButton = doc.getElementById('showUserPicker2');
		var userResult2 = doc.getElementById('userResult2');
		showUserPickerButton.addEventListener('tap', function(event) {
			userPicker2.show(function(items) {
				userResult2.innerText = items[1].text;
			});
		}, false);
		/*归属地*/
		var cityPicker = new $.PopPicker({
			layer: 2
		});
		cityPicker.setData(cityData);
		var showCityPickerButton = doc.getElementById('showCityPicker');
		var cityResult = doc.getElementById('cityResult');
		showCityPickerButton.addEventListener('tap', function(event) {
			cityPicker.show(function(items) {
				cityResult.innerText = items[0].text + " " + items[1].text;
			});
		}, false);
		/*租送优惠zusong*/
		var userPicker3 = new $.PopPicker({
			layer: 2
		});
		userPicker3.setData(zusong);
		var showUserPickerButton = doc.getElementById('showUserPicker3');
		var userResult3 = doc.getElementById('userResult3');
		showUserPickerButton.addEventListener('tap', function(event) {
			userPicker3.show(function(items) {
				userResult3.innerText = items[0].text + "送" + items[1].text;
			});
		}, false);
		/*上号方式shanghao*/
		var userPicker4 = new $.PopPicker({
			layer: 2
		});
		userPicker4.setData(shanghao);
		var showUserPickerButton = doc.getElementById('showUserPicker4');
		var userResult4 = doc.getElementById('userResult4');
		showUserPickerButton.addEventListener('tap', function(event) {
			userPicker4.show(function(items) {
				userResult4.innerText = items[1].text;
			});
		}, false);
		/*可租时段zutime*/
		var userPicker5 = new $.PopPicker({
			layer: 2
		});
		userPicker5.setData(zutime);
		var showUserPickerButton = doc.getElementById('showUserPicker5');
		var userResult5 = doc.getElementById('userResult5');
		showUserPickerButton.addEventListener('tap', function(event) {
			userPicker5.show(function(items) {
				userResult5.innerText = items[0].text + "-" + items[1].text;
			});
		}, false);
		/*分段结束*/
	});
})(mui, document);


// 价格计算器
function priceCalculator() {
	var pmoneyStr = $("input[name='rentAPH']").val();
	if (pmoneyStr == '') {
		zuAlert("请输入时租价格", function() {
			$("input[name='rentAPH']").focus();
		});
		return;
	}
	var pmoney = parseFloat(pmoneyStr);
	$("input[name='discount10H']").val((pmoney * 9).toFixed(2));
	$("input[name='discountMorning']").val((pmoney * 3).toFixed(2));
	$("input[name='discount1Night']").val((pmoney * 5).toFixed(2));
	$("input[name='discount24H']").val((pmoney * 14).toFixed(2));
	$("input[name='discountWeek']").val((pmoney * 14 * 5).toFixed(2));
}

// 绑定计算按钮事件
$(".cal-price").click(function() {
	priceCalculator();
});

/*滑块开关*/
mui('.mui-xgbyh .mui-switch').each(function() {
	this.parentNode.querySelector('span').innerText = '' + (this.classList.contains('mui-active') ? '允许' :
		'不允许');
	this.addEventListener('toggle', function(event) {
		this.parentNode.querySelector('span').innerText = '' + (event.detail.isActive ? '允许' : '不允许');
	});
});

/*上传图片*/
document.getElementById("toastBtn").addEventListener('tap', function() {
	mui.toast('请稍后，正在验证账号信息');
});

/*加载中按钮*/
mui(document.body).on('tap', '.load2', function(e) {
	mui(this).button('loading');
	setTimeout(function() {
		mui(this).button('reset');
	}.bind(this), 2000);
});

/*发布提示框*/
var info = document.getElementById("info");
document.getElementById("alertBtn").addEventListener('tap', function() {
	mui.alert('请确定信息填写完整和真实有效！', '确认发布', function() {
		info.innerText = '提交失败！点击「联系客服」处理';
	});
});

// /*隐藏人工提交*/
// window.onload = function() {
// 	document.getElementById("fb-show").onclick = function() {
// 		document.getElementById("fb-hide").style.display = "block";
// 	}
// }