(function() {
	mui.plusReady(function() {
		// 获取本地应用资源版本号
		plus.runtime.getProperty(plus.runtime.appid, function(inf) {
			var version = inf.versionCode;
			console.log("app热更新---当前应用版本：" + version);


			//检查更新配置文件
			var server = "http://47.112.177.41:9191/zuhaoba.json";
			mui.getJSON(server, {
				"appid": plus.runtime.appid,
				"version": plus.runtime.version.code,
				"imei": plus.device.imei
			}, function(data) {
				console.log("app热更新---最新版本：" + data.version);
				if (version < data.version) {




					var w = plus.nativeUI.showWaiting("　　 开始正在更新资源文件...　　 ");
					var apkurl = data.url;
					console.log("app热更新---准备执行资源更新：" + data.url);
					var dtask = plus.downloader.createDownload(apkurl, {
						method: 'GET',
						filename: '_downloads/apk_to_install' + '.wgt'
					}, function(download, status) {
						var fileName = download.filename;
						if (status == 200) { // 下载成功  
							var path = plus.io.convertLocalFileSystemURL(fileName);
							plus.runtime.install(path, {
								force: true
							}, function() {
								plus.nativeUI.closeWaiting();
								plus.runtime.restart();
							}, function(e) {
								plus.nativeUI.closeWaiting();
								console.log("安装wgt文件失败[" + e.code + "]：" + e.message);
							});
						}
					});
					dtask.start();
					dtask.addEventListener("statechanged", function(task, status) {
						switch (task.state) {
							case 1: // 开始  
								w.setTitle("　　 开始正在更新资源文件...　　 ");
								break;
							case 2: // 已连接到服务器  
								w.setTitle("　　 开始正在更新资源文件...　　 ");
								break;
							case 3:
								var a = task.downloadedSize / task.totalSize * 100;
								w.setTitle("　　 正在更新资源文件" + parseInt(a) + "%　　 ");
								break;
							case 4: //下载完成  
								w.close();
								break;
						}
					});





				}
			});






		});

	});
})();
