/**
 * 加载到外部URL的文件，用于下载apk；
 */
mui.plusReady(function() {
	var as = document.getElementsByTagName('a');
	for (var i = 0; i < as.length; i++) {
		var url = as[i].href;
		if (url.endsWith('.apk')) {
			as[i].href = "#";
			as[i].target = url;
			console.log(url);
			var suffix = cutSuffix(url);
			as[i].onclick = function(eventtt) {
				mui.confirm("是否下载该安装包？", "下载提示", ["下载", "取消"],
					function(event) {
						var gindex = event.index;
						if (gindex == 0) {

							var w = plus.nativeUI.showWaiting("　　 开始下载...　　 ");
							/**
							 * 创建下载任务
							 * http://www.html5plus.org/doc/zh_cn/downloader.html#plus.downloader.createDownload
							 */
							var apkurl = eventtt.target.target;
							console.log("下载前准备");
							console.log(apkurl);
							var dtask = plus.downloader.createDownload(apkurl, {
								method: 'GET',
								filename: '_downloads/apk_to_install' + suffix
							}, function(download, status) {
								var fileName = download.filename;
								console.log('文件名:' + fileName);
								console.log('下载状态：' + status);
								if ( status == 200 ) { // 下载成功  
										var path = plus.io.convertLocalFileSystemURL(fileName);
										console.log('apk路径：' + path);
										plus.runtime.install(path);
										console.log('apkinstall' );
								    } else {//下载失败  
								        alert( "下载失败，请稍后重试: " + status );   
								    }   
							});
							/**
							 * 开始下载任务
							 * http://www.html5plus.org/doc/zh_cn/downloader.html#plus.downloader.Download.start
							 */
							dtask.start();
							dtask.addEventListener("statechanged", function(task, status) {
								switch (task.state) {
									case 1: // 开始  
										w.setTitle("　　 开始下载...　　 ");
										break;
									case 2: // 已连接到服务器  
										w.setTitle("　　 开始下载...　　 ");
										break;
									case 3:
										var a = task.downloadedSize / task.totalSize * 100;
										w.setTitle("　　 已下载" + parseInt(a) + "%　　 ");
										break;
									case 4: // 下载完成  
										w.close();
										break;
								}
							});



						}
					});
				return false;
			}
		}

	}
});

function cutSuffix(url) {
	var index = url.lastIndexOf('.');
	return url.substring(index);
}
